id: https://w3id.org/gaia-x/development#compute-function-service-offering
name: compute-function-service-offering
prefixes:
  linkml: https://w3id.org/linkml/
  gx: https://w3id.org/gaia-x/development#
imports:
  - linkml:types
  - service-offering
  - compute-function-configuration
  - slots
default_prefix: gx
default_range: string

classes:

  ComputeFunctionServiceOffering:
    title: Compute Function Service Offering
    is_a: ComputeServiceOffering
    description: A digital service available for order and providing compute functions
      capabilities.
    slots:
      - computeFunctionConfiguration
      - computeFunctionDebugTools
      - computeFunctionEditor
      - computeFunctionAllowQuota
      - computeFunctionAllowTimeout
      - computeFunctionAllowVersioning
      - computeFunctionAllowAutoScaling
      - computeFunctionAllowFSMount
